Bug 844107 - CVE-2012-3438 GraphicsMagick: png_IM_malloc() size argument [epel-all]
Summary: CVE-2012-3438 GraphicsMagick: png_IM_malloc() size argument [epel-all]
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: GraphicsMagick
Version: el6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3438
TreeView+ depends on / blocked
 
Reported: 2012-07-28 23:03 UTC by Kurt Seifried
Modified: 2012-09-07 21:06 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-09-07 21:06:05 UTC


Attachments (Terms of Use)

Description Kurt Seifried 2012-07-28 23:03:28 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=844105

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2012-08-21 03:53:31 UTC
GraphicsMagick-1.3.16-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.16-5.el6

Comment 2 Fedora Update System 2012-08-21 03:54:29 UTC
GraphicsMagick-1.3.16-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/GraphicsMagick-1.3.16-5.el5

Comment 3 Fedora Update System 2012-08-21 18:38:36 UTC
Package GraphicsMagick-1.3.16-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing GraphicsMagick-1.3.16-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6781/GraphicsMagick-1.3.16-5.el6
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-09-07 21:05:09 UTC
GraphicsMagick-1.3.16-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-09-07 21:06:05 UTC
GraphicsMagick-1.3.16-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.